<?php
require_once '../inc/common.inc.php';

if(empty($menuid)){echo "<script>window.location.href='$kuHttpPath';</script>";exit;}

$moduleId = 3;
$moduleName = $arrAllModule[$moduleId];


$i = 1;
$arrProductPara = array();
$strSqlPara = "select paraname from {$configTableHead}para where lang='{$kuWebsiteCurrLanguage}' and id between 30 and 39;";
$result = $dbInstance->query($strSqlPara);
while($productPara = $dbInstance->fetchArray($result))
{
  $arrProductPara[$i] = $productPara['paraname'];
  $i++;
}


$menuid = intval($menuid);
$strSql = "select * from {$configTableHead}menu where id='{$menuid}' and lang='{$kuWebsiteCurrLanguage}';";
$result = $dbInstance->query($strSql);
$row = $dbInstance->fetchArray($result);
$kuBlockProductTitle = $row ['menutitle']; 
$kuWebsitePageTitle = $kuBlockProductTitle.' - '.$kuWebsiteTitleKeyWords.' - '.$kuWebsiteTitle.$kuPostfix;
$kuWebsiteKeyWords = $row['menukeywords'] ? $row['menukeywords'] : $kuWebsiteKeyWords;
$kuWebsiteDescription = $row['menudesc'] ? $row['menudesc'] : $kuWebsiteDescription;


$arrMenuInfo = getMenuIdInfo($menuid);

$topMenuId = '';
if(count($kuMenuList[$arrMenuInfo[type3]]))$topMenuId = $arrMenuInfo[type3];
else if(count($kuMenuList[$arrMenuInfo[type2]]))$topMenuId = $arrMenuInfo[type2];
else if(count($kuMenuList[$arrMenuInfo[type1]]))$topMenuId = $arrMenuInfo[type1];


$kuPositionId = $menuid;


$strSqlTotal = '';
if(1 == $arrMenuInfo['level'])$strSqlTotal = "select count(*) as amount from {$configTableHead}product where lang='{$kuWebsiteCurrLanguage}' and type1='{$menuid}' and showsub=1;";
else if(2 == $arrMenuInfo['level'])$strSqlTotal = "select count(*) as amount from {$configTableHead}product where lang='{$kuWebsiteCurrLanguage}' and type1={$arrMenuInfo[type1]} and type2={$arrMenuInfo[type2]} and showsub=1;";
else if(3 == $arrMenuInfo['level'])$strSqlTotal = "select count(*) as amount from {$configTableHead}product where lang='{$kuWebsiteCurrLanguage}' and type1={$arrMenuInfo[type1]} and type2={$arrMenuInfo[type2]} and type3={$arrMenuInfo[type3]} and showsub=1;";
else echo "<script>window.location.href='$kuHttpPath';</script>";
//echo $strSqlTotal, $kuHttpPath;


$result = $dbInstance->query($strSqlTotal);
$row = $dbInstance->fetchArray($result);
$totalNumber = $row ['amount']; //总记录数
!empty($page) ? ($page = intval($page)) : $page = 1; //当前页
$actionDisplayNumber = $frontendPagingActionsDisplayNumber; //活动显示页数 
$type = $frontendPagingType; //分页样式0-5 
$isAlwaysShowFirstOrLast = $frontendPagingIsAlwaysShowFirstOrLast; //是否绍终显示第一页和最后一页
$instancePage = new Pages($totalNumber, $page, $kuWebsitePagingNumberproduct, $actionDisplayNumber, $type, $isAlwaysShowFirstOrLast, $kuCaptionPagingFirstPage, $kuCaptionPagingPreviousPage, $kuCaptionPagingNextPage, $kuCaptionPagingLastPage);
$kuPageLinks = $instancePage->disp('page', $kuHttpPath."product/index.php?lang={$kuWebsiteCurrLanguage}&menuid={$menuid}"); 


$startNum = ($page - 1) * $kuWebsitePagingNumberproduct;
$strOrder = getSqlOrderByOfSortType($kuWebsitePagingSortTypeproduct);

if(1 == $arrMenuInfo['level'])$strSql = "select * from {$configTableHead}product where lang='{$kuWebsiteCurrLanguage}' and type1='{$menuid}' and showsub=1 order by {$strOrder} limit $startNum, $kuWebsitePagingNumberproduct;";
else if(2 == $arrMenuInfo['level'])$strSql = "select * from {$configTableHead}product where lang='{$kuWebsiteCurrLanguage}' and type1={$arrMenuInfo[type1]} and type2={$arrMenuInfo[type2]} and showsub=1 order by {$strOrder} limit $startNum, $kuWebsitePagingNumberproduct;";
else if(3 == $arrMenuInfo['level'])$strSql = "select * from {$configTableHead}product where lang='{$kuWebsiteCurrLanguage}' and type1={$arrMenuInfo[type1]} and type2={$arrMenuInfo[type2]} and type3={$arrMenuInfo[type3]} and showsub=1 order by {$strOrder} limit $startNum, $kuWebsitePagingNumberproduct;";
else echo "<script>window.location.href='$kuHttpPath';</script>";
//echo $strSql;


$kuStrProductList = '';
$kuArrProductList = array();
$result = $dbInstance->query($strSql);
while($productRow = $dbInstance->fetchArray($result))
{
  $productRow['producturl'] = $kuHttpPath."product/product.php?lang={$kuWebsiteCurrLanguage}&itemid={$productRow['id']}";
  $productRow['photourl'] = $kuUploadPath.$productRow['imgurl'];
  $productRow['updatetime'] = substr($productRow['updatetime'], 0, 10);
  $productRow['addtime'] = substr($productRow['addtime'], 0, 10);
  $kuArrProductList[] = $productRow;
  $kuProductTitle = CommTool::cutstrutf8($productRow['producttitle'], 70);
  $kuStrProductList .= "<li><span class=\"right\">{$productRow['updatetime']}</span><a href=\"{$productRow['producturl']}\" title=\"{$productRow['producttitle']}\">{$kuProductTitle}</a></li>";
}


$topNavId = $arrMenuInfo[type1];
$kuStrBlockSideNav = $kuSideNav[$topNavId];


$kuStrBlockContact = $kuBlock[2];

include_once KUWEBS_ABSOLUTE_PATH."inc/headermenu.php"; 
include_once KUWEBS_ABSOLUTE_PATH."inc/footer.php";
include_once template('productlist');


?>